PageRenderer.PageRenderRequest (Grails 2.3.0.M1)
Date: 2013-05-09

Overview | Package | Class | Deprecated | Index | Help
| Groovy Documentation
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | PROPERTY | CONSTR | METHOD | DETAIL: FIELD | PROPERTY | CONSTR | METHOD

## grails.gsp
[Groovy] Class PageRenderer.PageRenderRequest

    java.lang.Object
      grails.gsp.PageRenderer.PageRenderRequest

All Implemented Interfaces:
  javax.servlet.http.HttpServletRequest

    class PageRenderer.PageRenderRequest

Property Summary
`java.lang.Object` | `attributes`
`java.lang.String` | `characterEncoding`
`java.lang.String` | `contentType`
`java.lang.Object` | `params`
`java.lang.String` | `requestURI`

Constructor Summary
`PageRenderer.PageRenderRequest(java.lang.String requestURI)`

Method Summary
`boolean` | `authenticate(javax.servlet.http.HttpServletResponse response)`
`javax.servlet.AsyncContext` | `getAsyncContext()`
`java.lang.Object` | `getAttribute(java.lang.String name)`
`java.util.Enumeration` | `getAttributeNames()`
`java.lang.String` | `getAuthType()`
`int` | `getContentLength()`
`java.lang.String` | `getContextPath()`
`javax.servlet.http.Cookie[]` | `getCookies()`
`long` | `getDateHeader(java.lang.String name)`
`javax.servlet.DispatcherType` | `getDispatcherType()`
`java.lang.String` | `getHeader(java.lang.String name)`
`java.util.Enumeration` | `getHeaderNames()`
`java.util.Enumeration` | `getHeaders(java.lang.String name)`
`javax.servlet.ServletInputStream` | `getInputStream()`
`int` | `getIntHeader(java.lang.String name)`
`java.lang.String` | `getLocalAddr()`
`java.lang.String` | `getLocalName()`
`int` | `getLocalPort()`
`java.util.Locale` | `getLocale()`
`java.util.Enumeration` | `getLocales()`
`java.lang.String` | `getMethod()`
`java.lang.String` | `getParameter(java.lang.String name)`
`java.util.Map` | `getParameterMap()`
`java.util.Enumeration` | `getParameterNames()`
`java.lang.String[]` | `getParameterValues(java.lang.String name)`
`javax.servlet.http.Part` | `getPart(java.lang.String name)`
`java.util.Collection` | `getParts()`
`java.lang.String` | `getPathInfo()`
`java.lang.String` | `getPathTranslated()`
`java.lang.String` | `getProtocol()`
`java.lang.String` | `getQueryString()`
`java.io.BufferedReader` | `getReader()`
`java.lang.String` | `getRealPath(java.lang.String path)`
`java.lang.String` | `getRemoteAddr()`
`java.lang.String` | `getRemoteHost()`
`int` | `getRemotePort()`
`java.lang.String` | `getRemoteUser()`
`javax.servlet.RequestDispatcher` | `getRequestDispatcher(java.lang.String path)`
`java.lang.StringBuffer` | `getRequestURL()`
`java.lang.String` | `getRequestedSessionId()`
`java.lang.String` | `getScheme()`
`java.lang.String` | `getServerName()`
`int` | `getServerPort()`
`javax.servlet.ServletContext` | `getServletContext()`
`java.lang.String` | `getServletPath()`
`javax.servlet.http.HttpSession` | `getSession(boolean create)`
`javax.servlet.http.HttpSession` | `getSession()`
`java.security.Principal` | `getUserPrincipal()`
`boolean` | `isAsyncStarted()`
`boolean` | `isAsyncSupported()`
`boolean` | `isRequestedSessionIdFromCookie()`
`boolean` | `isRequestedSessionIdFromURL()`
`boolean` | `isRequestedSessionIdFromUrl()`
`boolean` | `isRequestedSessionIdValid()`
`boolean` | `isSecure()`
`boolean` | `isUserInRole(java.lang.String role)`
`void` | `login(java.lang.String username, java.lang.String password)`
`void` | `logout()`
`void` | `removeAttribute(java.lang.String name)`
`void` | `setAttribute(java.lang.String name, java.lang.Object o)`
`javax.servlet.AsyncContext` | `startAsync()`
`javax.servlet.AsyncContext` | `startAsync(javax.servlet.ServletRequest servletRequest, javax.servlet.ServletResponse servletResponse)`

Methods inherited from class java.lang.Object
java.lang.Object#wait(), java.lang.Object#wait(long), java.lang.Object#wait(long, int), java.lang.Object#equals(java.lang.Object), java.lang.Object#toString(), java.lang.Object#hashCode(), java.lang.Object#getClass(), java.lang.Object#notify(), java.lang.Object#notifyAll()

Property Detail

### attributes

    java.lang.Object attributes

### characterEncoding

    java.lang.String characterEncoding

### contentType

    java.lang.String contentType

### params

    java.lang.Object params

### requestURI

    java.lang.String requestURI

Constructor Detail

### PageRenderer.PageRenderRequest

    PageRenderer.PageRenderRequest(java.lang.String requestURI)

Method Detail

### authenticate

    boolean authenticate(javax.servlet.http.HttpServletResponse response)

### getAsyncContext

    javax.servlet.AsyncContext getAsyncContext()

### getAttribute

    java.lang.Object getAttribute(java.lang.String name)

### getAttributeNames

    java.util.Enumeration getAttributeNames()

### getAuthType

    java.lang.String getAuthType()

### getContentLength

    int getContentLength()

### getContextPath

    java.lang.String getContextPath()

### getCookies

    javax.servlet.http.Cookie[] getCookies()

### getDateHeader

    long getDateHeader(java.lang.String name)

### getDispatcherType

    javax.servlet.DispatcherType getDispatcherType()

### getHeader

    java.lang.String getHeader(java.lang.String name)

### getHeaderNames

    java.util.Enumeration getHeaderNames()

### getHeaders

    java.util.Enumeration getHeaders(java.lang.String name)

### getInputStream

    javax.servlet.ServletInputStream getInputStream()

### getIntHeader

    int getIntHeader(java.lang.String name)

### getLocalAddr

    java.lang.String getLocalAddr()

### getLocalName

    java.lang.String getLocalName()

### getLocalPort

    int getLocalPort()

### getLocale

    java.util.Locale getLocale()

### getLocales

    java.util.Enumeration getLocales()

### getMethod

    java.lang.String getMethod()

### getParameter

    java.lang.String getParameter(java.lang.String name)

### getParameterMap

    java.util.Map getParameterMap()

### getParameterNames

    java.util.Enumeration getParameterNames()

### getParameterValues

    java.lang.String[] getParameterValues(java.lang.String name)

### getPart

    javax.servlet.http.Part getPart(java.lang.String name)

### getParts

    java.util.Collection getParts()

### getPathInfo

    java.lang.String getPathInfo()

### getPathTranslated

    java.lang.String getPathTranslated()

### getProtocol

    java.lang.String getProtocol()

### getQueryString

    java.lang.String getQueryString()

### getReader

    java.io.BufferedReader getReader()

### getRealPath

    java.lang.String getRealPath(java.lang.String path)

### getRemoteAddr

    java.lang.String getRemoteAddr()

### getRemoteHost

    java.lang.String getRemoteHost()

### getRemotePort

    int getRemotePort()

### getRemoteUser

    java.lang.String getRemoteUser()

### getRequestDispatcher

    javax.servlet.RequestDispatcher getRequestDispatcher(java.lang.String path)

### getRequestURL

    java.lang.StringBuffer getRequestURL()

### getRequestedSessionId

    java.lang.String getRequestedSessionId()

### getScheme

    java.lang.String getScheme()

### getServerName

    java.lang.String getServerName()

### getServerPort

    int getServerPort()

### getServletContext

    javax.servlet.ServletContext getServletContext()

### getServletPath

    java.lang.String getServletPath()

### getSession

    javax.servlet.http.HttpSession getSession(boolean create)

### getSession

    javax.servlet.http.HttpSession getSession()

### getUserPrincipal

    java.security.Principal getUserPrincipal()

### isAsyncStarted

    boolean isAsyncStarted()

### isAsyncSupported

    boolean isAsyncSupported()

### isRequestedSessionIdFromCookie

    boolean isRequestedSessionIdFromCookie()

### isRequestedSessionIdFromURL

    boolean isRequestedSessionIdFromURL()

### isRequestedSessionIdFromUrl

    boolean isRequestedSessionIdFromUrl()

### isRequestedSessionIdValid

    boolean isRequestedSessionIdValid()

### isSecure

    boolean isSecure()

### isUserInRole

    boolean isUserInRole(java.lang.String role)

### login

    void login(java.lang.String username, java.lang.String password)

### logout

    void logout()

### removeAttribute

    void removeAttribute(java.lang.String name)

### setAttribute

    void setAttribute(java.lang.String name, java.lang.Object o)

### startAsync

    javax.servlet.AsyncContext startAsync()

### startAsync

    javax.servlet.AsyncContext startAsync(javax.servlet.ServletRequest servletRequest, javax.servlet.ServletResponse servletResponse)

Groovy Documentation